Main Site Documentation

Problem installing latest GHI SDK


#1

Hello,
I have downloaded latest package 4.2 October 2013 but after installing .net gadgeteer core and OSHW, I receive the error in the attached image.
If I start the installation for GHI SDK standalone from MSI, it runs and then closes without installing nothing.
I have Windows 8 Pro x64 and already installed .Net MF 4.3 RTM.

Paolo.


#2

I tried also to install on a Virtual Machine with Windows 7 32 bit but the result is the same.
Paolo.


#3

Ok…I understood.

The GHI SDK was installed but the error showed block the complete setup so that you have to continue launching the other MSI manually.

The problem is in the Setup.exe (I think with .Net Framework)

Paolo.


#4

What is the path to setup.exe?


#5

The download user folder. In my case is :

C:\Users\ppatierno\Downloads

Paolo.


#6

Have you moved any of the files around inside the root folder of the download?


#7

No.


#8

Did you change the installation path of any of the installers?


#9

No I used “next…next…next” approch ! :wink:


#10

If you’re on a 64bit system, can you navigate to and tell me the value of:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft.NETMicroFramework\v4.2\AssemblyFoldersEx\GHI Premium NETMF v4.2 SDK

If you’re on a 32bit system, instead go to:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft.NETMicroFramework\v4.2\AssemblyFoldersEx\GHI Premium NETMF v4.2 SDK


#11

I don’t have this key because I haven’t selected Premium SDK because I haven’t a Premium board.


#12

That will cause the error you are seeing then. For now, simply run the MSIs manually. The issue will be fixed in a future version.


#13

so I assume the other option is to install the Premium SDK instead of unticking it, and that’ll also work right?


#14

That is correct.


#15

In the last release January 2014 … the bug is fixed.

Thanks !